Subject: ANNOUNCE: MSSQL::DBlib and MSSQL::Sqllib 1.005
From: [email-masked] (Erland Sommarskog)
Date: 4 Feb 1999 14:09:20 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I am happy to announce that MSSQL::DBlib and MSSQL::Sqllib 1.005 is out.
The biggest news is that now that all known Perl versions from 5.003 and
up are supported. Previously only ActiveState 5.003 was supported.

MSSQL::DBlib is a basically a port of Sybase::DBlib so that it runs
with Microsoft SQL Server and Microsoft's version of DB-Library. However,
since this port is based on Sybperl 2.03 and I have added a few things
on my own, they are not exactly one-to-one. But almost.

MSSQL::Sqllib is a high-level module built on top of MSSQL::DBlib. It
provides a clean and simple interface for sending SQL queries to the
server. It's default error handling is to abort on any error, but that
is configurable. While built on top of MSSQL::DBlib, the interface is
not very DB-Library specific, or even specific to MS SQL Server, so
you might be able to port it to another platform. (Yeah, I know about
DBI/DBD, but don't you people believe in competition? :-)

Anyway, this is not available at CPAN for the time being. (I first need
to find out how to get things there). But just visit my web site
http://www.algonet.se/~sommar/mssql/. There are three zip files to
choose from: 1) Source only 2) Intel binary for AS 5xx. 3) Intel
binary for AS 3xx. You can also find online manuals there, as well
as a history file detailing the changes.

Alas, Microsoft has discontinued development of DB-Library. It is
still supported, but when you run it with SQL Server 7, you cannot
use the goodies, and for instance you are still restricted to 255
as the max size for character data type.
--
Erland Sommarskog, Stockholm, [email-masked]
A camel is a trotting horse that has been constructed by a committee.
-- 
Erland Sommarskog, Stockholm, [email-masked]
A camel is a trotting horse that has been constructed by a committee.